The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

problem after upgrading mysql

Discussion in 'General Discussion' started by mher, Jan 7, 2006.

  1. mher

    mher Well-Known Member

    Joined:
    Jun 14, 2004
    Messages:
    49
    Likes Received:
    0
    Trophy Points:
    6
    Hello,

    I have upgraded mysql to v4.1 from v4.0

    now I can't create new databases from cpanel. I am trying to do /scripts/perlinstaller --force Bundle::DBD::mysql which will fix the problem but i am getting this error. Please help!!

    root@srv [~]# /scripts/perlinstaller --force Bundle::DBD::mysql
    Method: Perl Expect
    Testing connection speed...(this could take a while)....Done
    Three usable mirrors located
    Mirror Check passed for cpan.belfry.net (/index.html)
    commit: wrote /usr/lib/perl5/5.8.0/CPAN/Config.pm
    CPAN: Storable loaded ok
    Going to read /home/.cpan/Metadata
    Database was generated on Sat, 07 Jan 2006 03:09:15 GMT
    Running install for module DBI
    Running make for T/TI/TIMB/DBI-1.50.tar.gz
    CPAN: Digest::MD5 loaded ok

    CPAN: Module::Signature security checks disabled because Module::Signature
    not installed. Please consider installing the Module::Signature module.
    You may also need to be able to connect over the Internet to the public
    keyservers like pgp.mit.edu (port 11371).

    CPAN: Compress::Zlib loaded ok
    Checksum for /home/.cpan/sources/authors/id/T/TI/TIMB/DBI-1.50.tar.gz ok
    Scanning cache /home/.cpan/build for sizes
    Deleting from cache: /home/.cpan/build/Net-AIM-1.22 (10.0>10.0 MB)
    Usage: Cwd::getcwd() at /usr/lib/perl5/5.8.0/File/Path.pm line 264.
    root@srv [~]#
     
  2. Website Rob

    Website Rob Well-Known Member

    Joined:
    Mar 23, 2002
    Messages:
    1,506
    Likes Received:
    0
    Trophy Points:
    36
    Location:
    Alberta, Canada
    cPanel Access Level:
    Root Administrator
    Did you first upgrade PHP to v4.4.x?

    That should be done before upgrading mySQL.

    Also, if you upgraded mySQL through WHM > Tweak Settings, then make sure to run the command shown on the next page:

    "If you made changes to the mysql version, please Click Here after waiting 30 seconds to have them take effect."
     
  3. neonix

    neonix Well-Known Member

    Joined:
    Oct 21, 2004
    Messages:
    124
    Likes Received:
    2
    Trophy Points:
    0
    Yes, I can confirm that an upgrade to perl 5.8.7. will take care of this problem. My MySQL 4.1 upgrade was flawlessly smooth after I upgraded perl.
     
  4. ZeusChicago

    ZeusChicago Active Member

    Joined:
    Oct 9, 2005
    Messages:
    44
    Likes Received:
    0
    Trophy Points:
    6
    Your may favorite person today! well, that and Neonix! :D
     
Loading...

Share This Page